'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('@remote-ui/react');
var postPurchaseUiExtensions = require('@shopify/post-purchase-ui-extensions');
var context = require('./context.js');
var jsxRuntime = require('react/jsx-runtime');

function render(extensionPoint, render) {
  // TypeScript can’t infer the type of the callback because it’s a big union
  // type. To get around it, we’ll just fake like we are rendering the
  // KitchenSink extension, since all render extensions have the same general
  // shape (`RenderExtension`).
  return postPurchaseUiExtensions.extend(extensionPoint, (root, input) => {
    react.render( /*#__PURE__*/jsxRuntime.jsx(context.ExtensionInputContext.Provider, {
      value: input,
      children: render(input)
    }), root, () => {
      root.mount();
    });
    return {};
  });
}

exports.render = render;
