import { useContext } from 'react';
import { ExtensionInputContext } from '../context.mjs';

function useExtensionInput() {
  const input = useContext(ExtensionInputContext);
  if (input == null) {
    throw new Error('You can only call this hook when running as a UI extension.');
  }
  return input;
}

export { useExtensionInput };
