import { render as render$1 } from '@remote-ui/react';
import { extend } from '@shopify/post-purchase-ui-extensions';
import { ExtensionInputContext } from './context.mjs';
import { jsx } from 'react/jsx-runtime';

function render(extensionPoint, render) {
  // TypeScript can’t infer the type of the callback because it’s a big union
  // type. To get around it, we’ll just fake like we are rendering the
  // KitchenSink extension, since all render extensions have the same general
  // shape (`RenderExtension`).
  return extend(extensionPoint, (root, input) => {
    render$1( /*#__PURE__*/jsx(ExtensionInputContext.Provider, {
      value: input,
      children: render(input)
    }), root, () => {
      root.mount();
    });
    return {};
  });
}

export { render };
